from pathlib import Path

text_file = Path('text.txt')
contents = text_file.read_text()
print(contents)

lines = contents.splitlines()
# Contents display first line only!!!
print(lines[0])


print(text_file.resolve())

read_file = Path('data/file-in-a-folder.txt')
contents = read_file.read_text()
print(contents)

# One line at a time!
server_log = Path('data/apache_logs.txt')
with server_log.open() as server_data:
    print(server_data.readline())
    
# ALL LINES
server_log = Path('data/apache_logs.txt')
with server_log.open() as server_data:
    for line in server_data:
        print(line.strip())

